Retrieves the project status with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

project_status
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the project status

string

Required

Max length: 50

is_default

Is default (auto selected when creating new project)

boolean
is_closed

Inform if this status means that the project/installation is archived

boolean

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating project_status

string
sales_organization

Embedded entity "sales_organization" when adding/updating project_status

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "fbe755b6-1c97-4766-a6a5-90f97589b544",
  "name": "sample string 2",
  "is_default": true,
  "is_closed": true,
  "sales_organization_id": "ab84a5c1-d33b-45b8-8f79-b8347225d76f",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "e24e23cb-f822-45f5-9467-7017315f4852",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "564e0c30-c52f-4c70-a29a-d82cd49b0cad",
    "db_currency_id": "d2997157-a3bb-4041-a5e8-0a9ae68ed050",
    "db_language_id": "18f49fec-7187-4a54-a4a6-fb68d3cdea0b",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-11-02T00:03:42.7825077+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-11-02T00:03:42.7825077+00:00"
}